Loading...
Searching...
No Matches
ValueVoxelCIter Class Reference

A forward iterator over array indices in a single voxel. More...

`#include <openvdb/points/IndexIterator.h>`

## Classes

struct | Parent

## Public Types

using | NodeType = Parent

## Public Member Functions

| ValueVoxelCIter ()=default
| ValueVoxelCIter (Index32 prevOffset, Index32 offset)
| ValueVoxelCIter (const ValueVoxelCIter &other)
Index32 | operator* ()
| Return the item to which this iterator is currently pointing.
Index32 | operator* () const
ValueVoxelCIter & | operator++ ()
| Advance to the next (valid) item (prefix).
| operator bool () const
bool | test () const
Index32 | end () const
void | reset (Index32, Index32)
Parent & | parent ()
Index32 | offset ()
bool | next ()
Coord | getCoord () const
| For efficiency, Coord and active state assumed to be readily available when iterating over indices of a single voxel.
void | getCoord (Coord &) const
bool | isValueOn () const
bool | operator== (const ValueVoxelCIter &other) const
| Equality operators.
bool | operator!= (const ValueVoxelCIter &other) const
| Equality operators.

## Detailed Description

A forward iterator over array indices in a single voxel.

## Member Typedef Documentation

## NodeType

using NodeType = Parent

## Constructor & Destructor Documentation

## ValueVoxelCIter() [1/3]

ValueVoxelCIter | ( |  | ) |

default

## ValueVoxelCIter() [2/3]

ValueVoxelCIter | ( | Index32 | prevOffset,
|  | Index32 | offset )

inline

## ValueVoxelCIter() [3/3]

ValueVoxelCIter | ( | const ValueVoxelCIter & | other | ) |

inline

## Member Function Documentation

## end()

Index32 end | ( |  | ) | const

inline

## getCoord() [1/2]

Coord getCoord | ( |  | ) | const

inline

For efficiency, Coord and active state assumed to be readily available when iterating over indices of a single voxel.

## getCoord() [2/2]

void getCoord | ( | Coord & |  | ) | const

inline

## isValueOn()

bool isValueOn | ( |  | ) | const

inline

## next()

bool next | ( |  | ) |

inline

## offset()

Index32 offset | ( |  | ) |

inline

## operator bool()

operator bool | ( |  | ) | const

inline

## operator!=()

bool operator!= | ( | const ValueVoxelCIter & | other | ) | const

inline

Equality operators.

## operator*() [1/2]

Index32 operator* | ( |  | ) |

inline

Return the item to which this iterator is currently pointing.

## operator*() [2/2]

Index32 operator* | ( |  | ) | const

inline

## operator++()

ValueVoxelCIter & operator++ | ( |  | ) |

inline

Advance to the next (valid) item (prefix).

## operator==()

bool operator== | ( | const ValueVoxelCIter & | other | ) | const

inline

Equality operators.

## parent()

Parent & parent | ( |  | ) |

inline

## reset()

void reset | ( | Index32 | ,
|  | Index32 | )

inline

## test()

bool test | ( |  | ) | const

inline